Mark an invoice as paid
curl --request POST \
--url https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/mark-paid \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"payment_method": "Bank Transfer",
"email": "oliver@example.com",
"amount": 1250.5,
"payment_date": "2026-11-19",
"notes": "Wire ref 9001",
"notify_client": false
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_method: 'Bank Transfer',
email: 'oliver@example.com',
amount: 1250.5,
payment_date: '2026-11-19',
notes: 'Wire ref 9001',
notify_client: false
})
};
fetch('https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/mark-paid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/mark-paid"
payload = {
"payment_method": "Bank Transfer",
"email": "oliver@example.com",
"amount": 1250.5,
"payment_date": "2026-11-19",
"notes": "Wire ref 9001",
"notify_client": False
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "INV-2026-042",
"status": "paid",
"amount_paid": 2500,
"balance": 0,
"payment_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Invoices
Mark an invoice as paid
Record a payment received outside NeetoInvoice, such as a bank transfer, against a generated invoice. Without amount, the full remaining balance is recorded and the invoice becomes paid. A partial amount keeps the invoice generated until the balance reaches 0. The invoice PDF is regenerated to show the payment.
POST
/
clients
/
{client_id}
/
invoices
/
{invoice_id}
/
mark-paid
Mark an invoice as paid
curl --request POST \
--url https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/mark-paid \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"payment_method": "Bank Transfer",
"email": "oliver@example.com",
"amount": 1250.5,
"payment_date": "2026-11-19",
"notes": "Wire ref 9001",
"notify_client": false
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payment_method: 'Bank Transfer',
email: 'oliver@example.com',
amount: 1250.5,
payment_date: '2026-11-19',
notes: 'Wire ref 9001',
notify_client: false
})
};
fetch('https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/mark-paid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/invoices/{invoice_id}/mark-paid"
payload = {
"payment_method": "Bank Transfer",
"email": "oliver@example.com",
"amount": 1250.5,
"payment_date": "2026-11-19",
"notes": "Wire ref 9001",
"notify_client": False
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "INV-2026-042",
"status": "paid",
"amount_paid": 2500,
"balance": 0,
"payment_transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the client for which you want to retrieve or update details. Refer to Getting the Client ID section for detailed instructions.
Body
application/json
Response
OK - Payment recorded